
Redmine - Defect #18829

Internal Error "undefined method `name' for nil:NilClass"

2015-01-13 18:22 - Leonardo Ramé

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.6.1

Description

After upgrading to 2.6.1.stable.13876 (from svn) from 2.4.5 I started getting errors similar to this:

    Processing by*  ProjectsController#settings as HTML

      Parameters: {"id"=>"alberdi-sgo-del-estero"}

      Current user: lrame (id=4)

      Rendered projects/_form.html.erb (247.5ms)

      Rendered projects/_edit.html.erb (252.8ms)

      Rendered projects/settings/_modules.html.erb (7.7ms)

      Rendered projects/settings/_members.html.erb (110.3ms)

      Rendered projects/settings/_versions.html.erb (7.1ms)

      Rendered common/_tabs.html.erb (388.7ms)

      Rendered projects/settings.html.erb within layouts/base (389.8ms)

    Completed 500 Internal Server Error in 415.1ms

    ActionView::Template::Error (undefined method `name' for nil:NilClass):

        33: <% end %>

        34:

        35: <div class="contextual">

        36: <% if @project.versions.any? %>

        37:   <%= link_to l(:label_close_versions), close_completed_project_versions_path(@project

), :method => :put %>

        38: <% end %>

        39: </div>

      app/views/projects/settings/_versions.html.erb:36:in `_app_views_projects_settings__versions

_html_erb__4284803287680039117_69974521564700'

      app/views/common/_tabs.html.erb:22:in `block in _app_views_common__tabs_html_erb__3923104128

307704039_31947360'

      app/views/common/_tabs.html.erb:21:in `each'

      app/views/common/_tabs.html.erb:21:in `_app_views_common__tabs_html_erb__3923104128307704039

_31947360'

      app/helpers/application_helper.rb:328:in `render_tabs'

      app/views/projects/settings.html.erb:3:in `_app_views_projects_settings_html_erb__2442961766

712979311_32041660'

 This install is running on Ubuntu 12.04 with Ruby 2.0.0 and mysql2 adapter.

What can be happening? how can I fix it?.

History

#1 - 2015-01-13 21:50 - Leonardo Ramé

- Status changed from New to Resolved

Fixed by installing Ruby 2.0.0 and all the gems needed using bundle install.

#2 - 2015-01-17 05:11 - Toshi MARUYAMA

- Status changed from Resolved to Closed

- Priority changed from High to Normal

- Resolution set to Invalid
